/*
 * nv_put.c
 *                 novasub rouitines
 *                            Masaharu NOMACHI (KEK) 5-JUN-1992
 *
 *              version 0.3   22-JUN-1992 Yasuo TAKEUCHI     (T.I.T.)
 *              version 1.01  25-SEP-1992 Masaharu NOMACHI   (KEK)
 */

#include "novalib.h"
#include "nova.h"

int nova_put(nd,address,size,significance)
     struct NOVAD *nd; char *address; int size,significance;
{
  int rval,offset,pid;

  /*
   * send message to the buffer manager
   */
  nd->buffer->mtype = nd->snd_type;
  offset = (int)address - (int)(nd->base);
  sprintf(nd->buffer->mtext,"done:%d:%d:%d:%d:%d:",
	  nd->pid,nd->novaid,offset,size,significance);
#ifdef VXWORKS
  rval = msgQSend(nd->snd_msgid, nd->buffer->mtext, NV_MSGLEN, WAIT_FOREVER,
         MSG_PRI_NORMAL);
#else
  rval = msgsnd(nd->snd_msgid, nd->buffer, NV_MSGLEN, 0);
#endif
  if (rval < 0) {
    perror("nv_put: send message");
    return -1;
  }
  return 0;
}

