c
c   $TOPUNIDAQ/examples/vector_example.f
c
	subroutine vector_example(idata,header)
c Fry 93.01.30
c example using vectors in analyzer
	integer*4 idata(*),header(*)
	real x(10000),y(10000)
	pointer (px,x)
	pointer (py,y)
c
c we assume the vector was created by the user
c  vector/create x(10000)
c  vector/create y(10000)
c
c if not then
c 	call kuvcre('X','R',10000,llow,lhigh)
c 		etc.
c


	if(first) then
		first=.false.
		call getvec(px,nelex,'X')
		call getvec(py,neley,'Y')
c clear the vectors
		do i=1,nelex
			x(i)=0.
		enddo
		do i=1,neley
			y(i)=0.
		enddo

	endif

c for the meaning of itype see $TOPUNIDAQ/include/template.h

	if(itype.eq.0) then
c process an event

	elseif(itype.eq.1) then
c beginrun
	elseif(itype.eq.2) then
c pauserun
	elseif(itype.eq.3) then
c resumerun
	elseif(itype.eq.4) then
c endrun
	elseif(itype.eq.5) then
c process calibration
	elseif(itype.eq.6) then
c environmental data
	endif
	return
	end
	subroutine getvec(address,nele,vname)
C Fry 93.01.30
c get the location of a named paw vector
c return address=0 if failure

	integer address,nele
	character*(*) vname

	common /pawc/nwpaw,ixpawc,ihbook,ixhigz,ixkuip,ifence(5),
     &       lmain,ws(9989)

	dimension iq(1),q(1),lq(1)
	equivalence (iq(1),q(1),lq(9)),(lq(1),lmain)


	nele=0
	llow=0
        lhigh=0
	print *,' get vector ',vname
	call kuvect(vname,llow,lhigh)
	nele=lhigh-llow+1
	address=0
	if(llow.ne.0) then

	    address=loc(iq(llow))

	endif

c        print *, ' number of elements=',nele, 'address=',address

	end

