/*************************************************
 * CVS Log
 * errno_msg_c.h,v
 * Revision 1.1.1.1  1993/07/14  19:43:18  dbrenner
 * UNIDAQ 2.1 distribution - July 14,1993
 *
*************************************************/
#ifndef ERRNO_MSG_C_HEADER
#define ERRNO_MSG_C_HEADER
/******************************************************************
**
**                    MURMUR Message Utility
**
** File: /usr/products/SunOS/murmur_client/v1_1/include/errno_msg_c.h
** Created: Fri Nov  6 18:15:46 1992
** Message Input File: /usr/products/SunOS/murmur_client/v1_1/include/errno.msg
** By User: moore
**
******************************************************************/
/* ############################################################################### */
/*  */
/* 		Unix System errno.h Message Definition File */
/*  */
/*  This file consists of a combination of /usr/include/sys/errno.h system */
/*  error messages from all platforms including SGI, SunOS, AIX, and ULTRIX. */
/*  (VxWorks will be added soon). */
/*  */
/*  */
/*  */
/*  */
/* ############################################################################### */
#define UNIX_facnum 0X2
#define	   errno_UNKNOWN    0X8000800C
/*  */
/*  IRIX, AIX, SunOS, ULTRIX messages */
/*  */
#define	   errno_EPERM    0X80008014
#define	   errno_ENOENT    0X8000801C
#define	   errno_ESRCH    0X80008024
#define	   errno_EINTR    0X8000802C
#define	   errno_EIO    0X80008034
#define	   errno_ENXIO    0X8000803C
#define	   errno_E2BIG    0X80008044
#define	   errno_ENOEXEC    0X8000804C
#define	   errno_EBADF    0X80008054
#define	   errno_ECHILD    0X8000805C
#define	   errno_EAGAIN    0X80008064
#define	   errno_ENOMEM    0X8000806C
#define	   errno_EACCES    0X80008074
#define	   errno_EFAULT    0X8000807C
#define	   errno_ENOTBLK    0X80008084
#define	   errno_EBUSY    0X8000808C
#define	   errno_EEXIST    0X80008094
#define	   errno_EXDEV    0X8000809C
#define	   errno_ENODEV    0X800080A4
#define	   errno_ENOTDIR    0X800080AC
#define	   errno_EISDIR    0X800080B4
#define	   errno_EINVAL    0X800080BC
#define	   errno_ENFILE    0X800080C4
#define	   errno_EMFILE    0X800080CC
#define	   errno_ENOTTY    0X800080D4
#define	   errno_ETXTBSY    0X800080DC
#define	   errno_EFBIG    0X800080E4
#define	   errno_ENOSPC    0X800080EC
#define	   errno_ESPIPE    0X800080F4
#define	   errno_EROFS    0X800080FC
#define	   errno_EMLINK    0X80008104
#define	   errno_EPIPE    0X8000810C
#define	   errno_EDOM    0X80008114
#define	   errno_ERANGE    0X8000811C
#define	   errno_ENOMSG    0X80008124
#define	   errno_EIDRM    0X8000812C
#define	   errno_ENOLCK    0X80008134
#define	   errno_EBADFD    0X8000813C
#define	   errno_ENOSYS    0X80008144
#define	   errno_EINPROGRESS    0X8000814C
#define	   errno_EALREADY    0X80008154
#define	   errno_ENOTSOCK    0X8000815C
#define	   errno_EDESTADDRREQ    0X80008164
#define	   errno_EMSGSIZE    0X8000816C
#define	   errno_ENOPROTOOPT    0X80008174
#define	   errno_EPROTONOSUPPORT    0X8000817C
#define	   errno_ESOCKTNOSUPPORT    0X80008184
#define	   errno_EOPNOTSUPP    0X8000818C
#define	   errno_EPFNOSUPPORT    0X80008194
#define	   errno_EAFNOSUPPORT    0X8000819C
#define	   errno_EADDRINUSE    0X800081A4
#define	   errno_EADDRNOTAVAIL    0X800081AC
#define	   errno_ENETDOWN    0X800081B4
#define	   errno_ENETUNREACH    0X800081BC
#define	   errno_ENETRESET    0X800081C4
#define	   errno_ECONNABORTED    0X800081CC
#define	   errno_ECONNRESET    0X800081D4
#define	   errno_ENOBUFS    0X800081DC
#define	   errno_EISCONN    0X800081E4
#define	   errno_ENOTCONN    0X800081EC
#define	   errno_ESHUTDOWN    0X800081F4
#define	   errno_ETOOMANYREFS    0X800081FC
#define	   errno_ETIMEDOUT    0X80008204
#define	   errno_ECONNREFUSED    0X8000820C
#define	   errno_EHOSTDOWN    0X80008214
#define	   errno_EHOSTUNREACH    0X8000821C
#define	   errno_ELOOP    0X80008224
#define	   errno_ENAMETOOLONG    0X8000822C
#define	   errno_EDQUOT    0X80008234
/*   */
/*  aix, irix, sun */
/*  */
#define	   errno_EDEADLK    0X8000823C
#define	   errno_ENOSTR    0X80008244
#define	   errno_ETIME    0X8000824C
#define	   errno_ENOSR    0X80008254
#define	   errno_EREMOTE    0X8000825C
#define	   errno_EPROTO    0X80008264
#define	   errno_EBADMSG    0X8000826C
#define	   errno_EPROTOTYPE    0X80008274
#define	   errno_ESTALE    0X8000827C
/*  */
/*  irix, sun, ultrix only */
/*  */
#define	   errno_ENOTEMPTY    0X80008284
#define	   errno_EWOULDBLOCK    0X8000828C
/*  */
/*  aix, sun, ultrix only  */
/*  */
#define	   errno_EPROCLIM    0X80008294
#define	   errno_EUSERS    0X8000829C
/*  */
/*  irix and sun only */
/*  */
#define	   errno_ENONET    0X800082A4
#define	   errno_ENOLINK    0X800082AC
#define	   errno_EADV    0X800082B4
#define	   errno_ESRMNT    0X800082BC
#define	   errno_ECOMM    0X800082C4
#define	   errno_EMULTIHOP    0X800082CC
#define	   errno_EREMCHG    0X800082D4
/*  */
/*   IRIX messages  */
/*  */
#define	   errno_ECHRNG    0X80008C84
#define	   errno_EL3RST    0X80008C8C
#define	   errno_ENOCSI    0X80008C94
#define	   errno_EBADE    0X80008C9C
#define	   errno_EBADR    0X80008CA4
#define	   errno_EXFULL    0X80008CAC
#define	   errno_ENOANO    0X80008CB4
#define	   errno_EBADRQC    0X80008CBC
#define	   errno_EBADSLT    0X80008CC4
#define	   errno_EDEADLOCK    0X80008CCC
#define	   errno_EBFONT    0X80008CD4
#define	   errno_ENOPKG    0X80008CDC
#define	   errno_ENOTUNIQ    0X80008CE4
#define	   errno_ELIBACC    0X80008CEC
#define	   errno_ELIBBAD    0X80008CF4
#define	   errno_ELIBSCN    0X80008CFC
#define	   errno_ELIBMAX    0X80008D04
#define	   errno_ELIBEXEC    0X80008D0C
#define	   errno_EL2NSYNC    0X80008D14
#define	   errno_EL3HLT    0X80008D1C
#define	   errno_EL2HLT    0X80008D24
#define	   errno_ELNRNG    0X80008D2C
#define	   errno_EUNATCH    0X80008D34
#define	   errno_ENODATA    0X80008D3C
#define	   errno_ENFSREMOTE    0X80008D44
/*  */
/*  SunOS messages only */
/*  */
#define	   errno_ERREMOTE    0X800092C4
#define	   errno_EDOTDOT    0X800092CC
/*  */
/*  AIX messages only */
/*  */
#define	   errno_ENOTREADY    0X80009904
#define	   errno_EWRPROTECT    0X8000990C
#define	   errno_EFORMAT    0X80009914
#define	   errno_ENOCONNECT    0X8000991C
#define	   errno_EDIST    0X80009924
#define	   errno_ERESTART    0X8000992C
#define	   errno_EMEDIA    0X80009934
#define	   errno_ESOFT    0X8000993C
#define	   errno_ENOATTR    0X80009944
#define	   errno_ESAD    0X8000994C
#define	   errno_ENOTRUST    0X80009954
#define	   errno_EILSEQ    0X8000995C
#define	   errno_ECANCELED    0X80009964
/*  */
/*  ULTRIX messages only  */
/*  */
#define	   errno_EALIGN    0X80009F44
#define	   errno_EACTIVE    0X80009F4C
#define	   errno_ENOACTIVE    0X80009F54
#define	   errno_ENORESOURCES    0X80009F5C
#define	   errno_ENODUST    0X80009F64
#define	   errno_EDUPNOCONN    0X80009F6C
#define	   errno_EDUPNODISCONN    0X80009F74
#define	   errno_EDUPNOTCNTD    0X80009F7C
#define	   errno_EDUPNOTIDLE    0X80009F84
#define	   errno_EDUPNOTWAIT    0X80009F8C
#define	   errno_EDUPNOTRUN    0X80009F94
#define	   errno_EDUPBADOPCODE    0X80009F9C
#define	   errno_EDUPINTRANSIT    0X80009FA4
#define	   errno_EDUPTOOMANYCPUS    0X80009FAC
#endif
