/*************************************************
 * ResetUnidaq.c,v
*************************************************/
/************************************************************************
*                                                                       *
* Copyright (c) 1993                                                    *
* The Regents of The University of Michigan                             *
* Universities Research Association, Inc.                               *
* All Rights Reserved                                                   *
*                                                                       *
*                Authors:                                               *
*                        R. Ball, C. Timmermans, UofM                   *
*                        Y. Takeuchi, T.I.T.                            *
*                        M. Nomachi, KEK                                *
*                        A. Fry, C. Erbas, D. Brenner, SSCL             *
*                                                                       *
************************************************************************/

#include <stdio.h>
#include <sys/types.h>
#include <errno.h>
#include "template.h"
#include "ask.h"

extern char this_node[50];
extern char ownpname[15];

main()
{
   int num,i;
   Table prt_table[20];
   char status[10];

   gethostname(this_node,50);
   strcpy(ownpname,"user");
   if (Attach_Table() == -1) {
      printf("The Shared Memory does NOT exist\n");
      exit(-1);
    }
   else {
      printf("\n");
      num = Get_Table(prt_table); 
      for (i=0;i<num;i++) {        
	if((strncmp(prt_table[i].node,this_node,strlen(this_node)) == 0) ||
           (prt_table[i].node[0] == '\0')) {
           if (prt_table[i].status == ALIVE) 
	     Send_Message(prt_table[i].process_name,"EXIT");
        }
      }
      sleep(1);
      Delete_Table(); 
   }


}
