/* File name     : cc_main.h
 * Creation date : August 1991
 * Author        : Y.Yasu, Online group, Physics department, KEK
 * Modified      : July 1992
 */


/*#define DEBUG*/

#define CC_DEBUG_LEVEL 10
#define CC_DEBUG_LIST

#define CC_K_BUSY               1 /* CAMAC device driver is busy */
#define CC_K_READY              0 /* CAMAC device driver is ready */

#define CC_CAMAC_Q              2
#define CC_CAMMC_X              4

#define CC_K_SIGNAL             SIGUSR1

/* For Kinetics List Processing */
#define CC_KLIST_YES            1
#define CC_KLIST_NO             0
#define CC_KLIST_CMAINIT        0

#define Tolong(i)  (cc_ptr_list[(i)]+(cc_ptr_list[(i)+1]<<16))


