/*
 * novadump 
 */

#include <sys/types.h>
#include <sys/socket.h>
#include <sys/un.h>
#include <stdio.h>

char command[] = {"debug"};

main(argc,argv) int argc; char **argv; {
  int rval, sock;
  struct sockaddr_un server;

  /*
   * create socket
   */
  sock = socket(AF_UNIX,SOCK_STREAM,0);
  if (sock<0) {
    perror("opening stream socket");
    exit(1);
  }

  /*
   * connect socket
   */
  server.sun_family = AF_UNIX;
  if (argc>1) strcpy(server.sun_path,argv[1]);
  else        strcpy(server.sun_path,"/tmp/nova");
  if (connect(sock,&server,sizeof(struct sockaddr_un)) < 0) {
    close(sock);
    perror("connecting stream socket");
    exit(1);
  }

  /*
   * send command
   */
  rval = write(sock,command,strlen(command));
  if (rval<0)
    perror(" writing on stream socket");
  exit(0);
}
