/*
 * nv_resume.c
 *                 novasub rouitines
 *
 *              version 1.02  30-SEP-1992 Masaharu NOMACHI   (KEK)
 */

#include "novalib.h"
#include "nova.h"

int nova_resume(nd,request)
     struct NOVAD *nd; int request;
{
  int rval,offset,size,pid;

  /*
   * send message to the buffer manager
   */
  nd->buffer->mtype = nd->snd_type;
  sprintf(nd->buffer->mtext,"resume:%d:%d:%d:",nd->pid,nd->novaid,request);
#ifdef VXWORKS
  rval = msgQSend(nd->snd_msgid, nd->buffer->mtext, NV_MSGLEN, WAIT_FOREVER,
         MSG_PRI_NORMAL);
#else
  rval = msgsnd(nd->snd_msgid, nd->buffer, NV_MSGLEN, 0);
#endif
  if (rval < 0) {
    perror("nv_resume: send message");
    return -1;
  }
  nd->request = request;
  return 0;
}

