/*///////////////////////////////////////////////////////////////////
//
// file:    xpc.h
// author:  C. Timmermans (copied from C. Erbas)
// version: 2.0
// date:    05/17/93
////////////////////////////////////////////////////////////////////*/
#include "generic.h"

/*---------------------------------------------------------------*/
/*        Definitions for the User Variable Dictionary           */
/*---------------------------------------------------------------*/
int t_queuetest = 0;

struct var_dict_type var_dict_usr[20] =
{
  "queuetest",INTEGER,(int)&t_queuetest,
};

int var_number_usr= 1;

/*---------------------------------------------------------------*/
/*        Definitions for the User Command Dictionary            */
/*---------------------------------------------------------------*/
int Start_Process();
int Stop_Process();
int Ignore_Process();
int Interrupt_Process();
int Update_Table();
int Abort_Exit();
int Test_XPC();

struct cmd_dict_type cmd_dict_usr[20] = 
{
  "START",       (int (*)())Start_Process,
  "STOP",        (int (*)())Stop_Process,
  "IGNORE",      (int (*)())Ignore_Process,
  "INTERRUPT",   (int (*)())Interrupt_Process,
  "UPDAT_TBL",  (int (*)())Update_Table,
  "TEST_XPC",    (int (*)())Test_XPC,
  "EXIT",        (int (*)())Abort_Exit,
};
 
int cmd_number_usr = 7;
